%define module rencode
%define subrel 1

Name:           python-%{module}
Version:        1.0.6
Release:        %mkrel 2
Summary:        Web safe object pickling/unpickling
License:        GPLv3+ and BSD
Group:          Development/Python
URL:            https://github.com/aresch/rencode
Source0:        https://files.pythonhosted.org/packages/source/l/%{module}/%{module}-%{version}.tar.gz
# PyPi source tarball doesn't contain the .pyx file. This is the .pyx file
# corresponding to tag 1.0.6. Updating the version will also require this file
# to be updated.
# https://github.com/aresch/rencode/issues/22
Source1:        https://raw.githubusercontent.com/aresch/rencode/53d72ac53d9df007aad3a980f049a80d81836619/rencode/rencode.pyx
Patch0:         python-rencode-fix-CVE-2021-40839.patch
BuildRequires:  gcc

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(cython)
BuildRequires:  python3dist(wheel)

%description
The rencode module is a modified version of bencode from the
BitTorrent project.  For complex, heterogeneous data structures with
many small elements, r-encodings take up significantly less space than
b-encodings.

%package -n     python3-%{module}
Summary:        Web safe object pickling/unpickling
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
The rencode module is a modified version of bencode from the
BitTorrent project.  For complex, heterogeneous data structures with
many small elements, r-encodings take up significantly less space than
b-encodings.

%prep
%setup -n %{module}-%{version}
cp -a %{SOURCE1} ./rencode
%patch -p1

# Make sure we rebuild the module
rm -f ./rencode/rencode.c

%build
%py3_build

%install
%py3_install

%check
pushd tests
PYTHONPATH=%{buildroot}%{python3_sitearch} %{__python3} test_rencode.py
PYTHONPATH=%{buildroot}%{python3_sitearch} %{__python3} timetest.py
popd

%files -n python3-%{module}
%doc README.md
%license COPYING
%{python3_sitearch}/%{module}/
%{python3_sitearch}/%{module}*-py%{python3_version}.egg-info


%changelog
* Mon May 02 2022 papoteur <papoteur> 1.0.6-2.1.mga8
+ Revision: 1855517
- fix CVE-2021-40389 (mga#30051)

* Sun Feb 16 2020 umeabot <umeabot> 1.0.6-2.mga8
+ Revision: 1533365
- Mageia 8 Mass Rebuild

* Fri Sep 20 2019 daviddavid <daviddavid> 1.0.6-1.mga8
+ Revision: 1444092
- initial package python-rencode

